﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartSeries series = new ChartSeries("series1");
            ChartSeries series2 = new ChartSeries("series2");
            Random y = new Random();
            for (int i = 0; i < 6; i++)
            {
                series.Points.Add(i, y.Next(10, 18));
                series2.Points.Add(i, y.Next(20, 28));
            }
            series.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Transparent);
            series.Type = ChartSeriesType.Polar;
            series.Style.Border.Color = Color.Blue;
            series2.Style.Border.Color = Color.Red;
            this.chart.Series.Add(series);
            series2.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Transparent);
            series2.Type = ChartSeriesType.Polar;
            this.chart.Series.Add(series2);
            this.chart.PrimaryXAxis.DrawGrid = false;
            this.chart.PrimaryYAxis.DrawGrid = false;
            this.chart.Legend.Visible = false;
            this.chart.Size = new Size(600, 450);
            this.Controls.Add(chart);
        }
       
    }
}
